using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    /// <summary>
    /// View_AnnualMaintenancePlan
    /// </summary>
    [SugarTable("View_AnnualMaintenancePlan")]
    public class View_AnnualMaintenancePlan
    {
        /// <summary>
        /// 设备表编号
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public int EquipmentID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnName = "DisplayEquipmentID")]
        public string DisplayEquipmentID { get; set; }

        /// <summary>
        /// 设备名称/类型
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 点检表编码
        /// </summary>
        [SugarColumn(ColumnName = "VersionCode")]
        public string VersionCode { get; set; }

        /// <summary>
        /// 保养计划年
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceYear")]
        public int MaintenanceYear { get; set; }

        /// <summary>
        /// 一月
        /// </summary>
        [SugarColumn(ColumnName = "Jan")]
        public string Jan { get; set; }

        /// <summary>
        /// 二月
        /// </summary>
        [SugarColumn(ColumnName = "Feb")]
        public string Feb { get; set; }

        /// <summary>
        /// 三月
        /// </summary>
        [SugarColumn(ColumnName = "Mar")]
        public string Mar { get; set; }

        /// <summary>
        /// 四月
        /// </summary>
        [SugarColumn(ColumnName = "Apr")]
        public string Apr { get; set; }

        /// <summary>
        /// 五月
        /// </summary>
        [SugarColumn(ColumnName = "May")]
        public string May { get; set; }

        /// <summary>
        /// 六月
        /// </summary>
        [SugarColumn(ColumnName = "Jun")]
        public string Jun { get; set; }

        /// <summary>
        /// 七月
        /// </summary>
        [SugarColumn(ColumnName = "Jul")]
        public string Jul { get; set; }

        /// <summary>
        /// 八月
        /// </summary>
        [SugarColumn(ColumnName = "Aug")]
        public string Aug { get; set; }

        /// <summary>
        /// 九月
        /// </summary>
        [SugarColumn(ColumnName = "Sep")]
        public string Sep { get; set; }

        /// <summary>
        /// 十月
        /// </summary>
        [SugarColumn(ColumnName = "Oct")]
        public string Oct { get; set; }

        /// <summary>
        /// 十一月
        /// </summary>
        [SugarColumn(ColumnName = "Nov")]
        public string Nov { get; set; }

        /// <summary>
        /// 十二月
        /// </summary>
        [SugarColumn(ColumnName = "Dec")]
        public string Dec { get; set; }

        /// <summary>
        /// 新PM起始月份
        /// </summary>
        [SugarColumn(ColumnName = "PMStartMonth")]
        public string PMStartMonth { get; set; }

        [SugarColumn(ColumnName = "CreatUser")]
        public int CreatUser { get; set; }

        [SugarColumn(ColumnName = "CreatUserName")]
        public string CreatUserName { get; set; }

        [SugarColumn(ColumnName = "CreatDate")]
        public DateTime? CreatDate { get; set; }

        [SugarColumn(ColumnName = "ChangeUser")]
        public int? ChangeUser { get; set; }

        [SugarColumn(ColumnName = "ChangeUserName")]
        public string ChangeUserName { get; set; }

        [SugarColumn(ColumnName = "ChangeDate")]
        public DateTime? ChangeDate { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "Remarks")]
        public string Remarks { get; set; }
    }
}
